%define _unpackaged_files_terminate_build 1
#
#   - Business::ISSN -
#   This spec file was automatically generated by cpan2rpm [ver: 2.028]
#   (ALT Linux revision)
#   The following arguments were used:
#       -f pl
#   For more information on cpan2rpm please visit: http://perl.arix.com/
#

%define module Business-ISSN
%define m_distro Business-ISSN
%define m_name Business::ISSN
%define m_author_id unknown
%define _enable_test 1

Name: perl-Business-ISSN
Version: 1.008
Release: alt1

Summary: Work with International Standard Serial Numbers

License: Artistic
Group: Development/Perl
Url: http://www.cpan.org

Packager: Kirill Maslinsky <kirill@altlinux.org>

BuildArch: noarch
Source0: http://www.cpan.org/authors/id/B/BR/BRIANDFOY/%{module}-%{version}.tar.gz

BuildRequires: perl-Module-Build

%description
=over 4

=item new($issn)

The constructor accepts a scalar representing the ISSN.

The string representing the ISSN may contain characters
other than [0-9xX], although these will be removed in the
internal representation.  The resulting string must look
like an ISSN - the first seven characters must be digits and
the eighth character must be a digit, 'x', or 'X'.

The string passed as the ISSN need not be a valid ISSN as
long as it superficially looks like one.  This allows one to
use the `fix_checksum' method.

One should check the validity of the ISSN with `is_valid()'
rather than relying on the return value of the constructor.

If all one wants to do is check the validity of an ISSN,
one can skip the object-oriented  interface and use the
c<is_valid_checksum()> function which is exportable on demand.

If the constructor decides it can't create an object, it
returns undef.  It may do this if the string passed as the
ISSN can't be munged to the internal format.

=item $obj->checksum

Return the ISSN checksum.

=item $obj->as_string

Return the ISSN as a string.

A terminating 'x' is changed to 'X'.

=item  $obj->is_valid

Returns 1 if the checksum is valid.

Returns 0 if the ISSN does not pass the checksum test.
The constructor accepts invalid ISSN's so that
they might be fixed with `fix_checksum'.

=item  $obj->fix_checksum

Replace the eighth character with the checksum the
corresponds to the previous seven digits.  This does not
guarantee that the ISSN corresponds to the product one
thinks it does, or that the ISSN corresponds to any product
at all.  It only produces a string that passes the checksum
routine.  If the ISSN passed to the constructor was invalid,
the error might have been in any of the other nine positions.

=back

%prep
%setup -q -n %{module}-%{version}
%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.pod Changes examples SECURITY.md
%perl_vendor_privlib/Business/*

%changelog
* Thu Apr 03 2025 Igor Vlasenko <viy@altlinux.org> 1.008-alt1
- automated CPAN update

* Fri Feb 18 2022 Igor Vlasenko <viy@altlinux.org> 1.005-alt1
- automated CPAN update

* Wed Mar 25 2020 Igor Vlasenko <viy@altlinux.ru> 1.004-alt1
- automated CPAN update

* Thu May 17 2018 Igor Vlasenko <viy@altlinux.ru> 1.003-alt1
- automated CPAN update

* Thu Jan 24 2013 Kirill Maslinsky <kirill@altlinux.org> 0.91-alt1
- initial build for ALT Linux Sisyphus

